2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.Components.csproj: Updated references.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Database.Components.mdp:
 * MonoDevelop.Database.Components.csproj: Migrated to MSBuild file
   format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * AssemblyInfo.cs:
 * MonoDevelop.Database.Components.addin.xml: Bump MD version.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * gtk-gui/gui.stetic:
 * gtk-gui/objects.xml:
 * gtk-gui/generated.cs:
 * gtk-gui/MonoDevelop.Database.Components.DataGrid.cs:
 * gtk-gui/MonoDevelop.Database.Components.WaitDialog.cs:
 * gtk-gui/MonoDevelop.Database.Components.ShowTextDialog.cs:
 * gtk-gui/MonoDevelop.Database.Components.ShowImageDialog.cs:
 * gtk-gui/MonoDevelop.Database.Components.SqlEditorWidget.cs:
 * gtk-gui/MonoDevelop.Database.Components.SelectColumnDialog.cs:
 * gtk-gui/MonoDevelop.Database.Components.ConnectionSettingsWidget.cs:
 *
   gtk-gui/MonoDevelop.Database.Components.DatabaseConnectionSettingsDialog.cs:
   Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.Components.mdp: Flush project format changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.Components.mdp: Don't require a specific version
	of Mono.Addins.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.Database.Components.mdp: Add AssemblyInfo.cs files that
	are autogenerated from the addin manifests.

2008-11-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Widgets/ConnectionSettingsWidget.cs: Fix for bug #360297 - Cannot
	create new database connection.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.Components.addin.xml: Bump MD version.

2008-10-06  Michael Hutchinson <mhutchinson@novell.com> 

	* Widgets/ProjectDirectoryComboBox.cs: Track API, fix build.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.mdp: Updated projects.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml: Update.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Widgets/DataGrid/DataGrid.cs, Widgets/SelectTableWidget.cs,
	  Widgets/ColumnMappingWidget.cs, Widgets/SelectColumnWidget.cs,
	  Widgets/DatabaseConnectionContextComboBox.cs,
	  Widgets/ProjectDirectoryComboBox.cs, Widgets/SelectSchemaWidget.cs,
	  Widgets/ConnectionSettingsWidget.cs, Widgets/TableMappingWidget.cs,
	  Widgets/SqlEditorWidget.cs, gtk-gui/objects.xml: Use new model for
	  describing custom stetic widgets.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.mdp: Fix reference to
	  Mono.TextEditor. The incorrect add-in version number causes
	  problems in the makefile synchronization.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Bump MD version.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Database.Components.mdp: Fix projects.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Widgets/ProjectDirectoryComboBox.cs: New project model changes and
	  updates.

2008-03-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Widgets/SqlEditorWidget.cs: Track changes in the MessageService
	  class.

2008-01-30  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ProjectDirectoryComboBox.cs: added fix for non-code projects
	* Widgets/ConnectionSettingsWidget.cs: allow the test button to be disabled
	* gtk-gui/MonoDevelop.Database.Components.ConnectionSettingsWidget.cs,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic: auto generated code

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/DataGrid/Visualizers/DefaultVisualizers.cs,
	  MonoDevelop.Database.Components.addin.xml: implementation of text and
	  image datagrid visualizers
	* Widgets/DataGrid/Views/TextVisualizerView.cs: allow to visualize byte
	  arrays

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* Commands/AbstractDatabaseProviderList.cs: use AddinCatalog to translate
	  strings
	* Commands/DataGridCommands.cs, Widgets/DataGrid/DataGrid.cs,
	  MonoDevelop.Database.Components.addin.xml: use an Array CommandItem to
	  show all datagrid visualizers
	* Codons/DataGridVisualizerCodon.cs: Codon to add new DataGrid visualizers
	* Widgets/DataGrid/Visualizers/DataGridItemCommandHandler.cs,
	  Widgets/DataGrid/Visualizers/XmlTreeVisualizer.cs,
	  Widgets/DataGrid/Visualizers/ImageVisualizer.cs,
	  Widgets/DataGrid/Visualizers/AbstractDataGridVisualizer.cs,
	  Widgets/DataGrid/Visualizers/TextVisualizer.cs,
	  Widgets/DataGrid/Visualizers/XmlTextVisualizer.cs: obsolete
	* Widgets/DataGrid/Visualizers/IDataGridVisualizer.cs: improved API
	* Widgets/DataGrid/Views/ImageVisualizerView.cs: datagrid visualizer for
	  images
	* Widgets/DataGrid/Views/TextVisualizerView.cs: datagrid visualizer for text

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ColumnMappingWidget.cs: use DotNetType property to get the .NET
	  type

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* gtk-gui/MonoDevelop.Database.Components.DataGrid.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowImageDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.WaitDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.ConnectionSettingsWidget.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowTextDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.SelectColumnDialog.cs,
	  gtk-gui/gui.stetic: auto generated code
	* MonoDevelop.Database.Components.mdp: depend on Gtk# 2.8 instead of 2.10

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ConnectionSettingsWidget.cs,
	  gtk-gui/MonoDevelop.Database.Components.ConnectionSettingsWidget.cs:
	  several improvements to the "test connection" method

2008-01-28  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/ConnectionSettingsWidget.cs: implemented the test button

2008-01-28  Ben Motmans <ben.motmans@gmail.com> 

	* Commands/AbstractDatabaseProviderList.cs: command that lists all available
	  db providers
	* Dialogs/DatabaseConnectionSettingsDialog.cs: moved most of the
	  functionality to a specific widget
	* Widgets/SelectTableWidget.cs: widget to select a specific table
	* Widgets/ColumnMappingWidget.cs: widget that allows a database object to be
	  mapped to a .NET object
	* Widgets/SortedTableListStore.cs: listview containing a list of sorted
	  tables
	* Widgets/ProjectDirectoryComboBox.cs: combobox that lists all
	  projects/directories in the current open solution
	* Widgets/ConnectionSettingsWidget.cs: improved widget to edit/create
	  connection settings
	* Widgets/TableMappingWidget.cs: table mapping widget for use in the
	  codegeneration addin
	* gtk-gui/MonoDevelop.Database.Components.DataGrid.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowImageDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.WaitDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.ConnectionSettingsWidget.cs,
	  gtk-gui/MonoDevelop.Database.Components.DatabaseConnectionSettingsDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowTextDialog.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Database.Components.SqlEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Components.SelectColumnDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: auto generated changes

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Updated add-in category and
	  description.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.mdp: Updated project file. The order of
	  extended properties won't change anymore.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.mdp: Updated project files.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Dialogs/WaitDialog.cs, Dialogs/DatabaseConnectionSettingsDialog.cs,
	  Widgets/DataGrid/Renderers/BooleanContentRenderer.cs,
	  Widgets/ColumnMappingWidget.cs, Widgets/SelectColumnWidget.cs,
	  Widgets/SqlEditorWidget.cs,
	  gtk-gui/MonoDevelop.Database.Components.DataGrid.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowImageDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.WaitDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.DatabaseConnectionSettingsDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.ShowTextDialog.cs,
	  gtk-gui/MonoDevelop.Database.Components.SelectColumnDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am,
	  MonoDevelop.Database.Components.addin.xml,
	  MonoDevelop.Database.Components.mdp: Directory reorganization.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Widgets/DataGrid/DataGrid.cs: Track LoggingService API. Replace some
	  "LogError" calls with "LogDebug" calls.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.mdp: Project file names updated by change
	  in MD path functions.

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, MonoDevelop.Database.Components.mdp: Fix required GTK#
	  version.

2007-10-02  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/DatabaseConnectionSettingsDialog.cs: Allow empty passwords

2007-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am: Don't deploy .addin.xml file.
	* MonoDevelop.Database.Components.mdp: Don't unnecessarily local-copy
	  project references. Don't sync EXTRA_DIST with deploy files. Add
	  Makefile.am to file list.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.Components.addin.xml: Bump MD version.

2007-09-19  Ben Motmans <ben.motmans@gmail.com> 

	

2007-09-16  Ben Motmans <ben.motmans@gmail.com> 

	* Makefile.am: link to the correct Mono.Addins dll

2007-09-07  Ben Motmans <ben.motmans@gmail.com> 

	* Dialogs/DatabaseConnectionSettingsDialog.cs: improved capabilities system

2007-08-29  Ben Motmans <ben.motmans@gmail.com> 

	* MonoDevelop.Database.Components.addin.xml: use updated ExtensionNodeSet

2007-08-28  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/DataGrid/DataGrid.cs: added a missing " char
	* gtk-gui/gui.stetic, Makefile.am, MonoDevelop.Database.Components.mdp: use
	  project references instead of assembly references

2007-08-28  Ben Motmans <ben.motmans@gmail.com> 

	* Widgets/DataGrid/DataGrid.cs, Widgets/SqlEditorWidget.cs,
	  MonoDevelop.Database.Components.addin.xml: updated addin paths
	* Makefile.am: updated makefile

2007-08-03  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/SqlEditorWidget.cs: fixed the context menu

2007-08-02  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/DatabaseConnectionSettingsDialog.cs: make sure the database entry is always editable
	* Widgets/SelectColumnWidget.cs, Widgets/SortedColumnListStore.cs: moved the liststore into a 
	separate SortedColumnListStore class that can easily be reused
	* Widgets/DataGrid/DataGrid.cs: improved gchar workaround

	* Widgets/SelectColumnWidget.cs: added SingleMode property to force single selects

2007-08-01  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/DataGrid/DataGrid.cs: Added workaround for chars in the liststore
	* Widgets/SqlEditorWidget.cs: Added a scrolledwindow
	* Widgets/SelectColumnWidget.cs: IsColumnChecked property to verify that at least
	1 column is selected
	* Dialogs/SelectColumnDialog.cs: SelectAll and DeselectAll buttons
	* Dialogs/WaitDialog.cs: Correctly draw the window border

2007-07-31  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/SelectColumnWidget.cs: various bugfixes
	* Widgets/SqlEditorWidget.cs: Added a addin based context menu and added
	ExportToFile and ImportFromFile commands

2007-07-25  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/DatabaseConnectionSettingsDialog.cs: Various improvements and bugfixes
	* Commands/SqlEditorCommands.cs, Commands/DataGridCommands.cs: Commands
	* Dialogs/WaitDialog.cs: Dialog to alert the user of progress during a
	background operation
	* Widgets/DataGrid/Visualizers/DataGridItemCommandHandler.cs: Command
	Handler for DataGrid context menu's
	* Widgets/DataGrid/Visualizers/AbstractDataGridVisualizer.cs: Abstract
	Visualizer implementation
	* Widgets/DatabaseConnectionContextComboBox.cs: ComboBox to list all
	DatabaseConnectionContexts
	* Widgets/SqlEditorWidget.cs: re-useable sql editor with syntax highlighting
	* MonoDevelop.Database.Components.addin.xml: addin definitions

2007-07-18  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/DatabaseConnectionSettingsDialog.cs: Do not make the name entry and provider combo
	insensitive when the custom connection string checkbutton is activated

2007-07-17  Ben Motmans <ben.motmans@gmail.com>

	* Makefile.am: initial makefile
	* Widgets/ConnectionComboBox.cs, Dialogs/ShowXmlTreeDialog.cs, Dialogs/PasswordDialog.cs:
	removed obsolete classes
	* Dialogs/DatabaseConnectionSettingsDialog.cs: improved connection settings dialog, fixes most of the old bugs

2007-07-14  Ben Motmans <ben.motmans@gmail.com>

	* Widgets/DataGrid/*: New DataGrid widget, with support for data visualizers and content based renderers
	* Dialogs/ShowTextDialog.cs: Text visualization widget for the DataGrid control
	* Dialogs/ShowImageDialog.cs: Image visualization widget for the DataGrid control
	* Dialogs/ShowXmlTreeDialog.cs: XML visualization widget for the DataGrid control
	* Codons/DataGridContentRendererCodon.cs: Codon to add content renderers to the datagrid control
	* Codons/DataGridVisualizerCodon.cs: Codon to add visualizers to the datagrid control

2007-07-10  Ben Motmans <ben.motmans@gmail.com>

	* Dialogs/ConnectionDialog.cs: imported from ConnectionManager project, added CheckBox
	to set the ConnectionSettings SavePassword property, various other bugfixes
	* Dialogs/PasswordDialog.cs: password dialog
	* Widgets/DataGrid/*: imported from Query project
	* Widgets/ConnectionComboBox.cs: ComboBox that lists all ConnectionSettings

2007-07-09  Ben Motmans <ben.motmans@gmail.com>

	* Project: re-usable gtk# data controls
	* Containers/*.cs: Data objects for use inside custom widgets
	* Dialogs/SelectColumnDialog.cs: Dialog to select columns
	* Widgets/CellRendererTypeCombo.cs: CellRendererCombo with a list of all standard .NET data types
	* Widgets/ColumnMappingWidget.cs: ListView used to map ColumnSchema objects to .NET objects
	* Widgets/ProjectDirectoryComboBox.cs: Combo used to select a target project or directory
	* Widgets/SelectColumnWidget.cs: ListView to select ColumnSchema objects
	* Widgets/SelectSchemaWidget.cs: ListView to select Table, View or Procedure schemas
